Compiling in 64-bit (K)Ubuntu Gutsy with ATI fglrx driver

Do you need help? Ask here!

Bug reporting belongs here: http://developer.wz2100.net/newticket
Post Reply
ze_otter
New user
Posts: 2
Joined: 11 Jul 2008, 16:21

Compiling in 64-bit (K)Ubuntu Gutsy with ATI fglrx driver

Post by ze_otter » 11 Jul 2008, 16:31

How do I compile the latest SVN in in a 64-bit environment? The configure goes ok until it gets to this point:

Code: Select all

checking for main in -lGL... no
checking for main in -lopengl32... no
configure: error: OpenGL library not found.
I'm using the ATI fglrx drivers as provided in the repos, and have the relevant dev packages installed. The instructions in the Linux Compile Guide do not help in this case. Am I still missing some packages or environment variables?

EDIT: never mind, re-installing the mesa-dev and fglrx-dev files seemed to do the trick. I guess the libs got hosed at some point.

Ursa
Trained
Trained
Posts: 66
Joined: 16 Jul 2007, 18:36

Re: Compiling in 64-bit (K)Ubuntu Gutsy with ATI fglrx driver

Post by Ursa » 13 Jul 2008, 23:23

Open the adept package manager and find the package libgl-dev, install it, and move on.

Chances are you'll be needing other packages as well.

ze_otter
New user
Posts: 2
Joined: 11 Jul 2008, 16:21

Re: Compiling in 64-bit (K)Ubuntu Gutsy with ATI fglrx driver

Post by ze_otter » 14 Jul 2008, 14:07

No need for that, as I had all the packages installed, but something had messed up the libs; re-installing them worked. Now it just fails at another point, which I haven't looked into it deeper yet (based on another forum post, it looks like I'll need to compile a newer version of flex than is available in the Gutsy repos).

Post Reply